#!/usr/bin/perl


@threadnums = (1,2,4,8,16,32);
@loopnums = (1,100,1000,10000,100000,500000);
$base   = 10010;
$checks = 10000;
unlink("thread.results");
foreach $threadnum (@threadnums)
{
    foreach $loopnum (@loopnums)
    {
    	$temp = int($checks / $loopnum) + 200;
        print("./server $base $threadnum $loopnum $temp  >> thread.results\n");
	system("./server $base $threadnum $loopnum $temp >> thread.results");
	$base++;
    }
}
